Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.servlet
Class MessageBrokerHandlerAdapter

    java.lang.Object
      org.springframework.flex.servlet.MessageBrokerHandlerAdapter

All Implemented Interfaces:
  ServletConfigAware, HandlerAdapter

    public class MessageBrokerHandlerAdapter

extends Object
implements HandlerAdapter, ServletConfigAware

`HandlerAdapter` for routing HTTP messages to a Spring-managed `MessageBroker`.

This class is automatically registered with the application context when using the `message-broker` tag in the xml configuration namespace.

Author:
  Jeremy Grelle
See Also:
  `MessageBroker`, `HandlerMapping`

Constructor Summary
`MessageBrokerHandlerAdapter()`

Method Summary
`long` | `getLastModified(javax.servlet.http.HttpServletRequest request, Object handler)`
`ModelAndView` | `handle(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, Object handler)`
`void` | `setServletConfig(javax.servlet.ServletConfig servletConfig)`
`boolean` | `supports(Object handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBrokerHandlerAdapter

    public MessageBrokerHandlerAdapter()

Method Detail

### getLastModified

    public long getLastModified(javax.servlet.http.HttpServletRequest request,
                                Object handler)

  Specified by:
    `getLastModified` in interface `HandlerAdapter`

### handle

    public ModelAndView handle(javax.servlet.http.HttpServletRequest req,
                               javax.servlet.http.HttpServletResponse res,
                               Object handler)
                        throws Exception

  Specified by:
    `handle` in interface `HandlerAdapter`
  Throws:
    `Exception`

### setServletConfig

    public void setServletConfig(javax.servlet.ServletConfig servletConfig)

  Specified by:
    `setServletConfig` in interface `ServletConfigAware`

### supports

    public boolean supports(Object handler)

  Specified by:
    `supports` in interface `HandlerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.